
#load "mtrand.cma"

open Printf
let _ =
  let mt = Mtrand.create () in
  Mtrand.init_by_array mt [|0x123l; 0x234l; 0x345l; 0x456l|];
  
  printf "1000 outputs of genrand_int32()\n";
  for n=0 to 999 do
    printf "%10lu " (Mtrand.int32 mt);
    if ((n mod 5) = 4) then print_newline ();
  done;
  printf "\n1000 outputs of genrand_real2()\n";
  for n=0 to 999 do
    printf "%10.8f " (Mtrand.real2 mt);
    if ((n mod 5) = 4) then print_newline ();
  done;

